osmium::DiffIterator< TBasicIterator > Class Template Reference

`#include <diff_iterator.hpp>`

Inheritance diagram for osmium::DiffIterator< TBasicIterator >:
[legend]
Collaboration diagram for osmium::DiffIterator< TBasicIterator >:
[legend]

## Public Member Functions

| DiffIterator (TBasicIterator begin, TBasicIterator end)
DiffIterator & | operator++ ()
DiffIterator | operator++ (int)
bool | operator== (const DiffIterator &rhs) const noexcept
bool | operator!= (const DiffIterator &rhs) const noexcept
reference | operator* () const noexcept
pointer | operator-> () const noexcept

## Private Member Functions

void | set_diff () const noexcept

## Private Attributes

TBasicIterator | m_prev
TBasicIterator | m_curr
TBasicIterator | m_next
const TBasicIterator | m_end
osmium::DiffObject | m_diff

## Detailed Description

### template<typename TBasicIterator>
class osmium::DiffIterator< TBasicIterator >

An input iterator wrapping any iterator over OSMObjects. When dereferenced it will yield DiffObject objects pointing to the underlying OSMObjects.

## Constructor & Destructor Documentation

template<typename TBasicIterator >

osmium::DiffIterator< TBasicIterator >::DiffIterator | ( | TBasicIterator | begin,
|  | TBasicIterator | end
| ) |  |

inline

## Member Function Documentation

template<typename TBasicIterator >

bool osmium::DiffIterator< TBasicIterator >::operator!= | ( | const DiffIterator< TBasicIterator > & | rhs | ) | const

inline noexcept

template<typename TBasicIterator >

reference osmium::DiffIterator< TBasicIterator >::operator* | ( |  | ) | const

inline noexcept

template<typename TBasicIterator >

DiffIterator& osmium::DiffIterator< TBasicIterator >::operator++ | ( |  | ) |

inline

template<typename TBasicIterator >

DiffIterator osmium::DiffIterator< TBasicIterator >::operator++ | ( | int |  | ) |

inline

template<typename TBasicIterator >

pointer osmium::DiffIterator< TBasicIterator >::operator-> | ( |  | ) | const

inline noexcept

template<typename TBasicIterator >

bool osmium::DiffIterator< TBasicIterator >::operator== | ( | const DiffIterator< TBasicIterator > & | rhs | ) | const

inline noexcept

template<typename TBasicIterator >

void osmium::DiffIterator< TBasicIterator >::set_diff | ( |  | ) | const

inline private noexcept

## Member Data Documentation

template<typename TBasicIterator >

TBasicIterator osmium::DiffIterator< TBasicIterator >::m_curr

private

template<typename TBasicIterator >

osmium::DiffObject osmium::DiffIterator< TBasicIterator >::m_diff

mutable private

template<typename TBasicIterator >

const TBasicIterator osmium::DiffIterator< TBasicIterator >::m_end

private

template<typename TBasicIterator >

TBasicIterator osmium::DiffIterator< TBasicIterator >::m_next

private

template<typename TBasicIterator >

TBasicIterator osmium::DiffIterator< TBasicIterator >::m_prev

private

The documentation for this class was generated from the following file:

- osmium/diff_iterator.hpp